
Application: gvSIG desktop - gvSIG bugs #2620
Mensaje equivocado en la herramienta de partir geometría en edición.
07/01/2014 03:45 AM - Francisco Díaz Carsí

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Vector editing
Target version: 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2229 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Para reproducir el error:

- Abrir una capa de lineas y ponerla en edición.
- Seleccionar alguna geometría
- Seleccionar la herramienta "Partir geometría" 
- Dibujar la "linea de corte" de tal manera que intersecte más de una vez con la geometría a cortar.

Entonces aparece un mensaje que dice "La linea de corte debe empezar y terminar fuera del rectángulo que contiene a la
geometría".

History
#1 - 07/02/2014 03:58 AM - Álvaro Anguix
- Status changed from New to Invalid

He comprobado y funciona bien; probablemente sea que no has realizado bien el procedimiento actual (que no digo que no pueda llevar a confusión);
hay que introducir 2 ptos y luego darle a terminar (probablemente le hayas dado 1 punto y el segundo lo hayas ejecutado como terminar, sin "fijarlo"
previamente). Lo paso a invalid.

#2 - 07/02/2014 04:16 AM - Álvaro Anguix
- Status changed from Invalid to New

El error parece que es el siguiente:
- En ocasiones corta la línea aunque se clicken los puntos dentro del extent. 
- En ocasiones no la corta y salta el mensaje indicado en el bug si los puntos no están fuera del extent.

Parece que lo segundo ocurre cuando intentamos cortar varias veces una línea sin salir del extent. De todos modos habría que testear más el
comportamiento.

#3 - 04/23/2015 01:56 PM - Álvaro Anguix
- Target version set to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

05/21/2024 1/2



- Status changed from New to Closed

Con la nueva edición no ocure.
